Summary: Small library that defines common error values for all GnuPG components
Name: libgpg-error
Version: 1.19
Release: r0.0
License: GPLv2+ & LGPLv2.1+
Group: libs
Packager: Wind River <info@windriver.com>
URL: http://www.gnupg.org/related_software/libgpg-error/
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/gettext
BuildRequires: gettext-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native

%description
Small library that defines common error values for all GnuPG components.

%package -n libgpg-error-dbg
Summary: Small library that defines common error values for all GnuPG components - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: libgpg-error0 = 1.19-r0.0

%description -n libgpg-error-dbg
Small library that defines common error values for all GnuPG components.
This package contains ELF symbols and related sources for debugging
purposes.

%package -n libgpg-error-staticdev
Summary: Small library that defines common error values for all GnuPG components - Development files (Static Libraries)
Group: devel
Requires: libgpg-error-dev = 1.19-r0.0

%description -n libgpg-error-staticdev
Small library that defines common error values for all GnuPG components.
This package contains static libraries for software development.

%package -n libgpg-error-dev
Summary: Small library that defines common error values for all GnuPG components - Development files
Group: devel
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.22
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libgpg-error.so.0(GPG_ERROR_1.0)(64bit)
Requires: /bin/sh
Requires: libgpg-error.so.0()(64bit)
Requires: libgpg-error0 = 1.19-r0.0
Requires: libgpg-error0 >= 1.19
Suggests: libc6-dev
Provides: elf(buildid) = ea7d88278e50d85a4cda40b4f8008c4eed2789cd

%description -n libgpg-error-dev
Small library that defines common error values for all GnuPG components.
This package contains symbolic links, header files, and related items
necessary for software development.

%package -n libgpg-error-doc
Summary: Small library that defines common error values for all GnuPG components - Documentation files
Group: doc

%description -n libgpg-error-doc
Small library that defines common error values for all GnuPG components.
This package contains documentation.

%package -n libgpg-error0
Summary: Small library that defines common error values for all GnuPG components
Group: libs
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.22
Provides: libgpg-error.so.0()(64bit)
Provides: elf(buildid) = 0c18ce7b8579e8c055b98e132e9cfb56891f0ca6
Provides: libgpg-error = 1.19
Provides: libgpg-error.so.0(GPG_ERROR_1.0)(64bit)

%description -n libgpg-error0
Small library that defines common error values for all GnuPG components.

%package -n libgpg-error-locale-cs
Summary: Small library that defines common error values for all GnuPG components - cs translations
Group: libs
Suggests: virtual-locale-cs
Provides: libgpg-error-locale
Provides: cs-translation

%description -n libgpg-error-locale-cs
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the cs locale.

%package -n libgpg-error-locale-da
Summary: Small library that defines common error values for all GnuPG components - da translations
Group: libs
Suggests: virtual-locale-da
Provides: libgpg-error-locale
Provides: da-translation

%description -n libgpg-error-locale-da
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the da locale.

%package -n libgpg-error-locale-de
Summary: Small library that defines common error values for all GnuPG components - de translations
Group: libs
Suggests: virtual-locale-de
Provides: de-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-de
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the de locale.

%package -n libgpg-error-locale-eo
Summary: Small library that defines common error values for all GnuPG components - eo translations
Group: libs
Suggests: virtual-locale-eo
Provides: libgpg-error-locale
Provides: eo-translation

%description -n libgpg-error-locale-eo
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the eo locale.

%package -n libgpg-error-locale-fr
Summary: Small library that defines common error values for all GnuPG components - fr translations
Group: libs
Suggests: virtual-locale-fr
Provides: libgpg-error-locale
Provides: fr-translation

%description -n libgpg-error-locale-fr
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the fr locale.

%package -n libgpg-error-locale-hu
Summary: Small library that defines common error values for all GnuPG components - hu translations
Group: libs
Suggests: virtual-locale-hu
Provides: libgpg-error-locale
Provides: hu-translation

%description -n libgpg-error-locale-hu
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the hu locale.

%package -n libgpg-error-locale-it
Summary: Small library that defines common error values for all GnuPG components - it translations
Group: libs
Suggests: virtual-locale-it
Provides: libgpg-error-locale
Provides: it-translation

%description -n libgpg-error-locale-it
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the it locale.

%package -n libgpg-error-locale-ja
Summary: Small library that defines common error values for all GnuPG components - ja translations
Group: libs
Suggests: virtual-locale-ja
Provides: libgpg-error-locale
Provides: ja-translation

%description -n libgpg-error-locale-ja
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the ja locale.

%package -n libgpg-error-locale-nl
Summary: Small library that defines common error values for all GnuPG components - nl translations
Group: libs
Suggests: virtual-locale-nl
Provides: libgpg-error-locale
Provides: nl-translation

%description -n libgpg-error-locale-nl
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the nl locale.

%package -n libgpg-error-locale-pl
Summary: Small library that defines common error values for all GnuPG components - pl translations
Group: libs
Suggests: virtual-locale-pl
Provides: pl-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-pl
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the pl locale.

%package -n libgpg-error-locale-pt
Summary: Small library that defines common error values for all GnuPG components - pt translations
Group: libs
Suggests: virtual-locale-pt
Provides: pt-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-pt
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the pt locale.

%package -n libgpg-error-locale-ro
Summary: Small library that defines common error values for all GnuPG components - ro translations
Group: libs
Suggests: virtual-locale-ro
Provides: ro-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-ro
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the ro locale.

%package -n libgpg-error-locale-ru
Summary: Small library that defines common error values for all GnuPG components - ru translations
Group: libs
Suggests: virtual-locale-ru
Provides: libgpg-error-locale
Provides: ru-translation

%description -n libgpg-error-locale-ru
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the ru locale.

%package -n libgpg-error-locale-sr
Summary: Small library that defines common error values for all GnuPG components - sr translations
Group: libs
Suggests: virtual-locale-sr
Provides: libgpg-error-locale
Provides: sr-translation

%description -n libgpg-error-locale-sr
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the sr locale.

%package -n libgpg-error-locale-sv
Summary: Small library that defines common error values for all GnuPG components - sv translations
Group: libs
Suggests: virtual-locale-sv
Provides: libgpg-error-locale
Provides: sv-translation

%description -n libgpg-error-locale-sv
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the sv locale.

%package -n libgpg-error-locale-uk
Summary: Small library that defines common error values for all GnuPG components - uk translations
Group: libs
Suggests: virtual-locale-uk
Provides: uk-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-uk
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the uk locale.

%package -n libgpg-error-locale-vi
Summary: Small library that defines common error values for all GnuPG components - vi translations
Group: libs
Suggests: virtual-locale-vi
Provides: libgpg-error-locale
Provides: vi-translation

%description -n libgpg-error-locale-vi
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the vi locale.

%package -n libgpg-error-locale-zh-cn
Summary: Small library that defines common error values for all GnuPG components - zh_CN translations
Group: libs
Suggests: virtual-locale-zh-cn
Provides: libgpg-error-locale
Provides: zh-cn-translation

%description -n libgpg-error-locale-zh-cn
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the zh_CN locale.

%package -n libgpg-error-locale-zh-tw
Summary: Small library that defines common error values for all GnuPG components - zh_TW translations
Group: libs
Suggests: virtual-locale-zh-tw
Provides: libgpg-error-locale
Provides: zh-tw-translation

%description -n libgpg-error-locale-zh-tw
Small library that defines common error values for all GnuPG components.
This package contains language translation files for the zh_TW locale.

%post -n libgpg-error0
# libgpg-error0 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libgpg-error-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libgpg-error.so.0.15.0"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/gpg-error"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libgpg-error"
%dir "/usr/src/debug/libgpg-error/1.19-r0"
%dir "/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19"
%dir "/usr/src/debug/libgpg-error/1.19-r0/build"
%dir "/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/visibility.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/err-sources.h"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/code-to-errno.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/estream-printf.h"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/strsource.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/posix-lock.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/posix-lock-obj.h"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/posix-thread.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/estream.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/init.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/strerror.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/err-codes.h"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/estream-printf.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/gpg-error.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/strsource-sym.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/version.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/gpgrt-int.h"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/code-from-errno.c"
"/usr/src/debug/libgpg-error/1.19-r0/libgpg-error-1.19/src/strerror-sym.c"
%dir "/usr/src/debug/libgpg-error/1.19-r0/build/src"
"/usr/src/debug/libgpg-error/1.19-r0/build/src/err-codes-sym.h"
"/usr/src/debug/libgpg-error/1.19-r0/build/src/code-to-errno.h"
"/usr/src/debug/libgpg-error/1.19-r0/build/src/errnos-sym.h"
"/usr/src/debug/libgpg-error/1.19-r0/build/src/code-from-errno.h"
"/usr/src/debug/libgpg-error/1.19-r0/build/src/err-sources-sym.h"
"/usr/src/debug/libgpg-error/1.19-r0/build/src/gpg-error.h"

%files -n libgpg-error-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/share"
%dir "/usr/bin"
%dir "/usr/include"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libgpg-error.la"
"/usr/lib64/libgpg-error.so"
"/usr/lib64/pkgconfig/gpg-error.pc"
%dir "/usr/share/aclocal"
"/usr/share/aclocal/gpg-error.m4"
"/usr/bin/gpg-error-config"
"/usr/bin/gpg-error"
"/usr/include/gpg-error.h"

%files -n libgpg-error-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/info"
%dir "/usr/share/man/man1"
"/usr/share/man/man1/gpg-error-config.1"
"/usr/share/info/gpgrt.info"

%files -n libgpg-error0
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libgpg-error.so.0"
"/usr/lib64/libgpg-error.so.0.15.0"

%files -n libgpg-error-locale-cs
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/cs"
%dir "/usr/share/locale/cs/LC_MESSAGES"
"/usr/share/locale/cs/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-da
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/da"
%dir "/usr/share/locale/da/LC_MESSAGES"
"/usr/share/locale/da/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-de
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/de"
%dir "/usr/share/locale/de/LC_MESSAGES"
"/usr/share/locale/de/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-eo
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/eo"
%dir "/usr/share/locale/eo/LC_MESSAGES"
"/usr/share/locale/eo/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-fr
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/fr"
%dir "/usr/share/locale/fr/LC_MESSAGES"
"/usr/share/locale/fr/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-hu
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/hu"
%dir "/usr/share/locale/hu/LC_MESSAGES"
"/usr/share/locale/hu/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-it
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/it"
%dir "/usr/share/locale/it/LC_MESSAGES"
"/usr/share/locale/it/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-ja
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/ja"
%dir "/usr/share/locale/ja/LC_MESSAGES"
"/usr/share/locale/ja/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-nl
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/nl"
%dir "/usr/share/locale/nl/LC_MESSAGES"
"/usr/share/locale/nl/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-pl
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/pl"
%dir "/usr/share/locale/pl/LC_MESSAGES"
"/usr/share/locale/pl/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-pt
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/pt"
%dir "/usr/share/locale/pt/LC_MESSAGES"
"/usr/share/locale/pt/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-ro
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/ro"
%dir "/usr/share/locale/ro/LC_MESSAGES"
"/usr/share/locale/ro/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-ru
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/ru"
%dir "/usr/share/locale/ru/LC_MESSAGES"
"/usr/share/locale/ru/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-sr
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/sr"
%dir "/usr/share/locale/sr/LC_MESSAGES"
"/usr/share/locale/sr/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-sv
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/sv"
%dir "/usr/share/locale/sv/LC_MESSAGES"
"/usr/share/locale/sv/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-uk
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/uk"
%dir "/usr/share/locale/uk/LC_MESSAGES"
"/usr/share/locale/uk/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-vi
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/vi"
%dir "/usr/share/locale/vi/LC_MESSAGES"
"/usr/share/locale/vi/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-zh-cn
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/zh_CN"
%dir "/usr/share/locale/zh_CN/LC_MESSAGES"
"/usr/share/locale/zh_CN/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-zh-tw
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/locale"
%dir "/usr/share/locale/zh_TW"
%dir "/usr/share/locale/zh_TW/LC_MESSAGES"
"/usr/share/locale/zh_TW/LC_MESSAGES/libgpg-error.mo"

